/*
 *  ceil() - ceil
 *
 *  COPYRIGHT:
 *    Copyright (c) 2000, On-Line Applications Research Corporation (OAR)
 *
 *  ceil.c,v 1.1.1.1 2000/11/13 21:58:23 jennifer Exp
 */

#include <math.h>

#ifndef DATA_TYPE
#include "double_setup.h"
#endif

#include <limits.h>

DATA_TYPE NAME( ceil )( DATA_TYPE value )
{

  DATA_TYPE result;

  /*
   * Check error codes.
   */

  if ( value < INT_MIN )
    return NInf;

  if ( value > INT_MAX )
    return Inf;

  result = (DATA_TYPE) SUBNAME(floor)( value );
  if ( result != value )
    result += 1.0;

  return result;
}

