/*
 *  tan() 
 *
 *  All error checking should be done in c prior to the assembly call.
 *
 *  COPYRIGHT:
 *    Copyright (c) 2000, On-Line Applications Research Corporation (OAR)
 *
 *  tan.c,v 1.1.1.1 2000/11/13 21:58:23 jennifer Exp
 */


#ifndef DATA_TYPE
#include "double_setup.h"
#endif

DATA_TYPE NAME( tan )( DATA_TYPE value )
{
  
  long double vCos;
  long double vSin;
  
  vCos = _cos( (long double) value );
  if ( (vCos == 0) || (vCos == -0))
    return SUBNAME(nan)();
  
  vSin = _sin( (long double) value );
 
  return vSin/vCos;
}

