/*
 *  fmod() - floating-point remainder (modulo)
 *
 *  Written by Joel Sherrill <joel@OARcorp.com>.
 * 
 *  This source file may be used and distributed without restriction.
 *
 *  COPYRIGHT:
 *    Copyright (c) 2000, On-Line Applications Research Corporation (OAR)
 *
 *  fmod.c,v 1.1.1.1 2000/11/13 21:58:23 jennifer Exp
 */


#ifndef DATA_TYPE
#include "double_setup.h"
#endif

DATA_TYPE NAME(fmod)(DATA_TYPE _x, DATA_TYPE _y)
{
  SUBDATA_TYPE x = (SUBDATA_TYPE) _x;
  SUBDATA_TYPE y = (SUBDATA_TYPE) _y;
  return (DATA_TYPE)(x - ( SUBNAME(floor)(x/y) * y));
}

