/*
 *  ldexp() - multiply floating-point number by integral power of 2
 *
 *  COPYRIGHT:
 *    Copyright (c) 2000, On-Line Applications Research Corporation (OAR)
 *
 *  ldexp.c,v 1.1.1.1 2000/11/13 21:58:23 jennifer Exp
 */

#ifndef DATA_TYPE
#include "double_setup.h"
#endif

DATA_TYPE NAME(ldexp)(DATA_TYPE _x, int exponent)
{
  SUBDATA_TYPE x = (SUBDATA_TYPE) _x;

  return (DATA_TYPE)(x * SUBNAME(pow)(2.0, exponent));
}

