#include <float.h>
#include <math.h>
#include "math_internal.h"

#ifndef DATA_TYPE
#define DATA_TYPE long double
#define NAME(_N)  _N##ld
#define NaN       LDBL_MAX
#define Inf       LDBL_MAX
#define NInf      LDBL_MIN
#define MAX       LDBL_MAX
#define MIN       LDBL_MIN
#endif

#if defined(__MATH_USE_HIGH_PRECISION)
#define SUBNAME(_N)   _N##ld
#define SUBDATA_TYPE  long double
#else
#define SUBNAME(_N)   NAME(_N)
#define SUBDATA_TYPE  DATA_TYPE
#endif

