#include <float.h>
#include <math.h>
#include "math_internal.h"

#ifndef DATA_TYPE
#define DATA_TYPE double
#define NAME(_N)  _N
#define NaN       DBL_MAX
#define Inf       DBL_MAX
#define NInf      DBL_MIN
#define MAX       DBL_MAX
#define MIN       DBL_MIN
#endif

#if defined(__MATH_USE_HIGH_PRECISION)
#define SUBNAME(_N)   _N##ld
#define SUBDATA_TYPE  long double
#else
#define SUBNAME(_N)   NAME(_N)
#define SUBDATA_TYPE  DATA_TYPE
#endif

