#include <float.h>
#include <math.h>
#include "math_internal.h"

#ifndef DATA_TYPE
#define DATA_TYPE float
#define NAME(_N)  _N##f
#define NaN       FLT_MAX
#define Inf       FLT_MAX
#define NInf      FLT_MIN
#define MAX       FLT_MAX
#define MIN       FLT_MIN
#endif

#if defined(__MATH_USE_HIGH_PRECISION)
#define SUBNAME(_N)   _N##ld
#define SUBDATA_TYPE  long double
#else
#define SUBNAME(_N)   NAME(_N)
#define SUBDATA_TYPE  DATA_TYPE
#endif

